# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
def get_provider_info():
    return {
        'package-name': 'apache-airflow-providers-microsoft-mssql',
        'name': 'Microsoft SQL Server (MSSQL)',
        'description': '`Microsoft SQL Server (MSSQL) <https://www.microsoft.com/en-us/sql-server/sql-server-downloads>`__\n',
        'versions': ['1.0.0'],
        'integrations': [
            {
                'integration-name': 'Microsoft SQL Server (MSSQL)',
                'external-doc-url': 'https://www.microsoft.com/en-us/sql-server/sql-server-downloads',
                'tags': ['software'],
            }
        ],
        'operators': [
            {
                'integration-name': 'Microsoft SQL Server (MSSQL)',
                'python-modules': ['airflow.providers.microsoft.mssql.operators.mssql'],
            }
        ],
        'hooks': [
            {
                'integration-name': 'Microsoft SQL Server (MSSQL)',
                'python-modules': ['airflow.providers.microsoft.mssql.hooks.mssql'],
            }
        ],
        'hook-class-names': ['airflow.providers.microsoft.mssql.hooks.mssql.MsSqlHook'],
    }
